package com.os.ems.info.mapper;

import org.apache.ibatis.annotations.Param;

/**
 * 通用数据清空Mapper接口
 * 
 * @author System
 * @date 2025-01-20
 */
public interface CommonClearMapper 
{
    /**
     * 清空指定表的所有数据
     * 
     * @param tableName 表名（已通过白名单验证）
     * @return 删除的记录数
     */
    public int clearTableData(@Param("tableName") String tableName);
} 